version: 1
prompt_language: en
report_language: hu

defaults:
  tri_state:
    type: enum
    values: ["Yes", "No", "Not mentioned"]
    format_hint: "<Yes/No/Not mentioned>"

  binary:
    type: enum
    values: ["Yes", "No"]
    format_hint: "<Yes/No>"

  text:
    type: text
    nullable: true
    format_hint: "<free text or null>"

  text_bullets:
    type: text_bullets
    nullable: true
    format_hint: "<bullet points or null>"

  number_or_null:
    type: number
    nullable: true
    format_hint: "<number or null>"

  percent_or_null:
    type: number
    nullable: true
    unit: "%"
    format_hint: "<percentage number or null>"

fields:
  - key: MUM1
    label: "MUM1"
    description: "Multiple Myeloma Oncogene 1 or IRF4."
    extends: tri_state
    aliases_hu: ["MUM1", "IRF4"]

  - key: GC
    label: "GC"
    description: "Germinal Center lymphoma phenotype."
    extends: tri_state
    aliases_hu: ["GC", "germinális centrum"]

  - key: nonGC
    label: "nonGC"
    description: "Non-Germinal Center lymphoma phenotype."
    extends: tri_state
    aliases_hu: ["nonGC", "non-GC"]

  - key: CD10_positivity
    label: "CD10 positivity"
    description: "CD10 immunohistochemical positivity."
    extends: tri_state
    aliases_hu: ["CD10"]

  - key: CD56_positivity
    label: "CD56 positivity"
    description: "CD56 immunohistochemical positivity."
    extends: tri_state
    aliases_hu: ["CD56"]

  - key: anemia
    label: "anemia"
    description: "Explicit mention of anemia."
    extends: tri_state
    aliases_hu: ["vérszegénység", "anaemia"]

  - key: thrombocytopenia
    label: "thrombocytopenia"
    description: "Explicit mention of thrombocytopenia."
    extends: tri_state
    aliases_hu: ["thrombocytopenia", "vérzékenység"]

  - key: neutropenia
    label: "neutropenia"
    description: "Explicit mention of neutropenia."
    extends: tri_state
    aliases_hu: ["neutropenia", "neotropenia", "csökkent fehérvérsejtszám"]

  - key: elevated_LDH
    label: "elevated LDH"
    description: "Explicit statement of elevated serum LDH level."
    extends: tri_state
    aliases_hu: ["magas LDH", "emelkedett LDH", "LDH szint magas"]

  - key: elevated_beta2_microglobulin
    label: "elevated beta-2 microglobulin"
    description: "Explicit statement of elevated beta-2 microglobulin level."
    extends: tri_state
    aliases_hu: ["béta 2 mikroglobulin", "emelkedett béta 2 mikroglobulin"]

  - key: high_proliferative_activity
    label: "high proliferative activity"
    description: "Explicit mention of high proliferative activity."
    extends: tri_state
    aliases_hu: ["magas proliferációs aktivitás"]

  - key: BCL2_positivity
    label: "BCL2 positivity"
    description: "Explicit mention of BCL2 positivity."
    extends: tri_state
    aliases_hu: ["BCL2", "BCL2 pozitivitás"]

  - key: BCL6_positivity
    label: "BCL6 positivity"
    description: "Explicit mention of BCL6 positivity."
    extends: tri_state
    aliases_hu: ["BCL6", "BCL6 pozitivitás"]

  - key: MYC_positivity
    label: "MYC positivity"
    description: "Explicit mention of MYC positivity."
    extends: tri_state
    aliases_hu: ["MYC", "MYC pozitivitás"]

  - key: MYD88_positivity
    label: "MYD88 positivity"
    description: "Explicit mention of MYD88 positivity."
    extends: tri_state
    aliases_hu: ["MYD88", "MYD88 pozitivitás"]

  - key: KSHV_infection
    label: "KSHV infection"
    description: "Explicit mention of Kaposi sarcoma–associated herpesvirus infection."
    extends: tri_state
    aliases_hu: ["KSHV", "Kaposi sarcoma asszociált herpesvirus"]

  - key: fatigue
    label: "fatigue"
    description: "Explicit mention of fatigue."
    extends: tri_state
    aliases_hu: ["fáradékonyság", "kimerültség"]

  - key: Ki67_proliferation
    label: "Ki-67 proliferation"
    description: "Explicit mention of Ki-67 proliferation or high proliferative activity."
    extends: tri_state
    aliases_hu: ["Ki-67 proliferáció", "proliferációs aktivitás"]

  - key: Ki67_index
    label: "Ki-67 index"
    description: "Numeric Ki-67 index. If a numeric value is explicitly stated (e.g. Ki-67: 70%), return the number (70). If a range is stated, return the midpoint. Otherwise return null."
    extends: percent_or_null
    aliases_hu: ["Ki-67", "Ki67"]

  - key: CD19_positivity
    label: "CD19 positivity"
    description: "Explicit mention of CD19 positivity."
    extends: tri_state
    aliases_hu: ["CD19", "CD19 pozitivitás"]

  - key: CD20_positivity
    label: "CD20 positivity"
    description: "Explicit mention of CD20 positivity."
    extends: tri_state
    aliases_hu: ["CD20", "CD20 pozitivitás"]

  - key: CD22_positivity
    label: "CD22 positivity"
    description: "Explicit mention of CD22 positivity."
    extends: tri_state
    aliases_hu: ["CD22", "CD22 pozitivitás"]

  - key: CD79_positivity
    label: "CD79 positivity"
    description: "Explicit mention of CD79 positivity."
    extends: tri_state
    aliases_hu: ["CD79", "CD79 pozitivitás"]

  - key: PAX5_positivity
    label: "PAX5 positivity"
    description: "Explicit mention of PAX5 positivity."
    extends: tri_state
    aliases_hu: ["PAX5", "PAX5 pozitivitás"]

  - key: family_history
    label: "family history"
    description: "From the report, extract family medical history (családi anamnézis) in very short bullet points, only for parents/grandparents/siblings (not the patient). If not present, return `No info`."
    extends: text_bullets
    format_hint: "<family history in bullet points or No info>"
    aliases_hu: ["családi anamnézis", "familiáris anamnézis", "családi kórelőzmény"]

  - key: fever
    label: "fever"
    description: "Explicit mention of fever, or body temperature ≥38°C explicitly stated."
    extends: tri_state
    aliases_hu: ["láz"]

  - key: night_sweating
    label: "night sweating"
    description: "Explicit mention of night sweats."
    extends: tri_state
    aliases_hu: ["éjszakai izzadás", "éjszakai verejtékezés"]

  - key: weight_loss
    label: "weight loss"
    description: "Explicit mention of weight loss."
    extends: tri_state
    aliases_hu: ["fogyás"]

  - key: anticoagulant
    label: "anticoagulant use"
    description: "Explicit mention of anticoagulant medication use."
    extends: tri_state
    aliases_hu: ["véralvadásgátló", "heparin", "Clexane", "warfarin", "Syncumar", "Xarelto", "Eliquis"]

  - key: high_grade_transformation
    label: "high-grade transformation"
    description: "Explicit mention of high-grade transformation (conversion to a more aggressive, high-grade lymphoma)."
    extends: tri_state
    aliases_hu: ["transzformáció", "high-grade transzformáció", "transformatio"]

  - key: immunodeficiency
    label: "immunodeficiency"
    description: "Explicit mention of immunodeficiency or immunosuppressed state."
    extends: tri_state
    aliases_hu: ["immundeficiencia", "immunhiány", "immunszupprimált"]

  - key: EBV_infection
    label: "EBV infection"
    description: "Explicit mention of Epstein–Barr virus infection or EBV positivity."
    extends: tri_state
    aliases_hu: ["EBV", "Epstein–Barr", "Epstein–Barr vírus"]

  - key: HIV_infection
    label: "HIV infection"
    description: "Explicit mention of HIV infection or HIV positivity."
    extends: tri_state
    aliases_hu: ["HIV", "HIV fertőzés"]

  - key: lymphadenomegaly
    label: "pathological lymph node enlargement"
    description: "Explicit mention of pathological lymph node enlargement."
    extends: tri_state
    aliases_hu: ["kóros nyirokcsomó megnagyobbodás", "lymphadenomegalia", "lymphadenomegaly"]

  - key: pathological_lymph_node
    label: "pathological lymph node"
    description: "Explicit mention of a pathological lymph node."
    extends: tri_state
    aliases_hu: ["patológiás nyirokcsomó"]

  - key: hepatomegaly
    label: "liver enlargement"
    description: "Explicit mention of liver enlargement."
    extends: tri_state
    aliases_hu: ["májmegnagyobbodás", "hepatomegalia", "hepatomegaly"]

  - key: splenomegaly
    label: "spleen enlargement"
    description: "Explicit mention of spleen enlargement."
    extends: tri_state
    aliases_hu: ["lépmegnagyobbodás", "splenomegalia", "splenomegaly"]

  - key: smoking
    label: "smoking habit"
    description: "Classify the patient’s smoking habit. Only mark if explicitly stated. Categories: Not a smoker (no current smoking), Occasional smoker (<10 cigarettes/day, irregular/social), Moderate smoker (daily ~10–19 cigarettes/day), Heavy smoker (≥20 cigarettes/day or ≥1 pack/day)."
    type: enum
    values: ["Not a smoker", "Occasional smoker", "Moderate smoker", "Heavy smoker"]
    format_hint: "<Not a smoker/Occasional smoker/Moderate smoker/Heavy smoker>"
    aliases_hu: ["dohányzik", "dohányzás", "cigaretta", "dohányos"]

  - key: drinking
    label: "alcohol consumption"
    description: "Classify the patient’s alcohol consumption. Only mark if explicitly stated. Categories: Not drinking (no current alcohol use), Occasionally drinking (rare/social, small amounts), Heavily drinking (frequent or high-risk intake)."
    type: enum
    values: ["Not drinking", "Occasionally drinking", "Heavily drinking"]
    format_hint: "<Not drinking/Occasionally drinking/Heavily drinking>"
    aliases_hu: ["alkohol", "alkoholfogyasztás", "iszik", "ivás"]